#include <vga.h>
#include <stdlib.h>
#include <unistd.h>

int main(int argc, char **argv){
	int i, j, c;
	short *s;
	
	vga_init();
	vga_setmode(G1024x768x64K);
	vga_setlinearaddressing();
	s = (short *) vga_getgraphmem();
	for(i = 0; i < 758; i ++){
		for(j = 0; j < 1024; j ++){
			s[i * 1024 + j] = i * j;
		}
	}
	c = clock();
	for(i = 100000; i; i --){
		j = rand();
		vga_setrgbcolor((j >> 16) & 0xff, (j >> 8) & 0xff, j & 0xff);
		vga_drawline(rand() % 1024, rand() % 768, rand() % 1024, 
				rand() % 768);
	}
	vga_setmode(0);
	printf("It took %g microseconds per line\n", ((double)(clock() - c)) * 
			0.00001);
	return 0;
}

